## org.springframework.ui.velocity
Class CommonsLoggingLogSystem

    java.lang.Object
      org.springframework.ui.velocity.CommonsLoggingLogSystem

All Implemented Interfaces:
  LogSystem

    public class CommonsLoggingLogSystem

extends Object
implements LogSystem

Velocity LogSystem implementation for Jakarta Commons Logging. Used by VelocityConfigurer to redirect log output.

Since:
  07.08.2003
Author:
  Juergen Hoeller
See Also:
  `VelocityEngineFactoryBean`

Field Summary

Fields inherited from interface org.apache.velocity.runtime.log.LogSystem
`DEBUG_ID, DEBUG_ON, ERROR_ID, INFO_ID, WARN_ID`

Constructor Summary
`CommonsLoggingLogSystem()`

Method Summary
`void` `init(RuntimeServices runtimeServices)`
`void` `logVelocityMessage(int type, String msg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonsLoggingLogSystem

    public CommonsLoggingLogSystem()

Method Detail

### init

    public void init(RuntimeServices runtimeServices)

  Specified by:
    `init` in interface `LogSystem`

### logVelocityMessage

    public void logVelocityMessage(int type,
                                   String msg)

  Specified by:
    `logVelocityMessage` in interface `LogSystem`